﻿@using EnergyMission.Web.Helpers
@model EnergyMission.Web.ViewModels.Navigation.TopNavClientViewModel

@functions
{
    /// <summary>
    ///     Determines the HTML for the structure button depending on whether it is enabled or not
    /// </summary>
    /// <returns>Returns the HTML for the structure button depending on whether it is enabled or not</returns>
    private string GetStructureButtonHtml()
    {
        string result = string.Empty;

        bool enabledButton = ClientDashboardEnabledHelper.StructureEnabled(Model.ClientId);

        if (enabledButton)
        {
            result += "<label class=\"btn btn-primary\" onclick=\"Platform.NavigateToControllerIndex('Structures');\">" +
                      "Structures" +
                      "</label>";
        }
        else
        {
            result += "<label class=\"btn btn-primary\" style=\"cursor: not-allowed !important;\">" +
                      "Structures" +
                      "</label>";
        }

        return result;
    }

    /// <summary>
    ///     Determines the HTML for the structure division button depending on whether it is enabled or not
    /// </summary>
    /// <returns>Returns the HTML for the structure division button depending on whether it is enabled or not</returns>
    private string GetStructureDivisionButtonHtml()
    {
        string result = string.Empty;

        bool enabledButton = ClientDashboardEnabledHelper.StructureDivisionEnabled(Model.ClientId);

        if (enabledButton)
        {
            result += "<label class=\"btn btn-primary\" onclick=\"Platform.NavigateToControllerIndex('StructureDivisions');\">" +
                      "Structure Divisions" +
                      "</label>";
        }
        else
        {
            result += "<label class=\"btn btn-primary\" style=\"cursor: not-allowed !important;\">" +
                      "Structure Divisions" +
                      "</label>";
        }

        return result;
    }


    /// <summary>
    ///     Determines the HTML for the structure division sensor button depending on whether it is enabled or not
    /// </summary>
    /// <returns>Returns the HTML for the structure division sensor button depending on whether it is enabled or not</returns>
    private string GetStructureDivisionSensorButtonHtml()
    {
        string result = string.Empty;

        bool enabledButton = ClientDashboardEnabledHelper.StructureDivisionEnabled(Model.ClientId);

        if (enabledButton)
        {
            result += "<label class=\"btn btn-primary\" onclick=\"Platform.NavigateToControllerIndex('StructureDivisionSensors');\">" +
                      "Structure Division Sensors" +
                      "</label>";
        }
        else
        {
            result += "<label class=\"btn btn-primary\" style=\"cursor: not-allowed !important;\">" +
                      "Structure Division Sensors" +
                      "</label>";
        }

        return result;
    }
}


<label class="btn btn-primary" onclick="Platform.NavigateToControllerIndex('Sites');">
    Sites
</label>
@Html.Raw(GetStructureButtonHtml())
@Html.Raw(GetStructureDivisionButtonHtml())
@Html.Raw(GetStructureDivisionSensorButtonHtml())
@Html.Raw("| Staff |")           

<label class="btn btn-primary" onclick="Platform.NavigateToControllerIndex('ClientTeams');">
    Teams 
</label>
